// Code generated by running "go generate" in golang.org/x/text. DO NOT EDIT.

package main

import (
	"golang.org/x/text/language"
	"golang.org/x/text/message"
	"golang.org/x/text/message/catalog"
)

type dictionary struct {
	index []uint32
	data  string
}

func (d *dictionary) Lookup(key string) (data string, ok bool) {
	p := messageKeyToIndex[key]
	start, end := d.index[p], d.index[p+1]
	if start == end {
		return "", false
	}
	return d.data[start:end], true
}

func init() {
	dict := map[string]catalog.Dictionary{
		"en_US": &dictionary{index: en_USIndex, data: en_USData},
		"es_ES": &dictionary{index: es_ESIndex, data: es_ESData},
	}
	fallback := language.MustParse("en-US")
	cat, err := catalog.NewFromMap(dict, catalog.Fallback(fallback))
	if err != nil {
		panic(err)
	}
	message.DefaultCatalog = cat
}

var messageKeyToIndex = map[string]int{
	"... I have donated":    15,
	"About ...":             16,
	"Can't contact bitmask": 2,
	"Cancel":                11,
	"Cancel connection to RiseupVPN":                                              12,
	"Checking status...":                                                          6,
	"Could not find a polkit authentication agent. Please run one and try again.": 5,
	"Donate ...":          14,
	"Donate to RiseupVPN": 0,
	"Help ...":            13,
	"Is bitmaskd running? Start bitmask and try again.": 3,
	"Missing authentication agent":                      4,
	"Quit":                  17,
	"Quit BitmaskVPN":       18,
	"Retry":                 21,
	"RiseupVPN is %v":       23,
	"Route traffic through": 19,
	"The RiseupVPN service is expensive to run. Because we don't want to store personal information about you, there is no accounts or billing for this service. But if you want the service to continue, donate at least $5 each month at https://riseup.net/donate-vpn": 1,
	"Turn RiseupVPN off":       10,
	"Turn RiseupVPN on":        8,
	"Turn off":                 9,
	"Turn on":                  7,
	"Use RiseupVPN %v gateway": 20,
	"VPN is %v":                24,
	"blocking internet":        22,
}

var en_USIndex = []uint32{ // 26 elements
	0x00000000, 0x00000014, 0x00000118, 0x0000012e,
	0x00000160, 0x0000017d, 0x000001c9, 0x000001dc,
	0x000001e4, 0x000001f6, 0x000001ff, 0x00000212,
	0x00000219, 0x00000238, 0x00000241, 0x00000250,
	0x00000263, 0x0000026d, 0x00000272, 0x00000282,
	0x00000298, 0x000002b4, 0x000002ba, 0x000002cc,
	0x000002df, 0x000002ec,
} // Size: 128 bytes

const en_USData string = "" + // Size: 748 bytes
	"\x02Donate to RiseupVPN\x02The RiseupVPN service is expensive to run. Be" +
	"cause we don't want to store personal information about you, there is no" +
	" accounts or billing for this service. But if you want the service to co" +
	"ntinue, donate at least $5 each month at https://riseup.net/donate-vpn" +
	"\x02Can't contact bitmask\x02Is bitmaskd running? Start bitmask and try " +
	"again.\x02Missing authentication agent\x02Could not find a polkit authen" +
	"tication agent. Please run one and try again.\x02Checking status...\x02T" +
	"urn on\x02Turn RiseupVPN on\x02Turn off\x02Turn RiseupVPN off\x02Cancel" +
	"\x02Cancel connection to RiseupVPN\x02Help ...\x02Donate ...!!!!\x02... " +
	"I have donated\x02About ...\x02Quit\x02Quit BitmaskVPN\x02Route traffic " +
	"through\x02Use RiseupVPN %[1]v gateway\x02Retry\x02blocking internet\x02" +
	"RiseupVPN is %[1]v\x02VPN is %[1]v"

var es_ESIndex = []uint32{ // 26 elements
	0x00000000, 0x00000011, 0x00000108, 0x00000129,
	0x00000168, 0x0000018a, 0x000001f1, 0x0000020a,
	0x00000213, 0x00000226, 0x0000022d, 0x0000023d,
	0x00000246, 0x00000267, 0x00000271, 0x0000027a,
	0x0000028b, 0x00000299, 0x000002a0, 0x000002b2,
	0x000002c5, 0x000002ea, 0x000002f5, 0x00000308,
	0x0000031e, 0x0000032e,
} // Size: 128 bytes

const es_ESData string = "" + // Size: 814 bytes
	"\x02Dona a RiseupVPN\x02El servicio RiseupVPN es caro de mantener. Como " +
	"no queremos guardar ninguna información personal tuya, no hay cuentas ni" +
	" servicio de facturación. Si quieres que este servicio continúe, dona al" +
	" menos $5 cada mes en https://riseup.net/donate-vpn\x02No se pudo contac" +
	"tar con bitmask\x02¿Está corriendo bitmaskd? Arranca bitmask y prueba de" +
	" nuevo.\x02Falta un agente de autenticación\x02No se pudo encontrar ning" +
	"ún agente de autenticacion de polkit. Por favor lanza uno y prueba de n" +
	"uevo.\x02Comprobando el estado...\x02Encender\x02Enciende RiseupVPN\x02A" +
	"pagar\x02Apaga RiseupVPN\x02Cancelar\x02Cancela la conexión a RiseupVPN" +
	"\x02Ayuda ...\x02Dona ...\x02... ya he donado\x02Acerca de ...\x02Cerrar" +
	"\x02Cerrar BitmaskVPN\x02Salir a través de\x02Usa la salida de RiseupVPN" +
	" por %[1]v\x02Reintentar\x02internet bloqueada\x02RiseupVPN está %[1]v" +
	"\x02VPN está %[1]v"

	// Total table size 1818 bytes (1KiB); checksum: 21DEB3F
